<div class="modal-header padding-10">
  <span class="modal-title font-weight-bold">
    <span *ngIf="!isEdit">Create</span>
    <span *ngIf="isEdit">Update</span>
    Vehicle Service
  </span>
</div>
<div class="modal-body padding-10" style="max-height: 400px; overflow-y: auto; overflow-x: hidden">
  <div class="row">
    <div class="col-sm">
      <form class="form-horizontal"
            novalidate
            (keyup.enter)="save()"
            [formGroup]="serviceGroup">
        <div class="form-group">
          <label class="font-weight-bold">Delivery Types *
            <i class="fa fa-sync fa-spinner" *ngIf="isDropDownLoading"></i>
            <i class="fa fa-sync cursor" (click)="loadData()" *ngIf="!isDropDownLoading"></i>
          </label>
          <select class="form-control" [formControl]="extraServiceControl">
            <option *ngFor="let t of extraServices" [value]="t.id">{{t.name}}</option>
          </select>
        </div>
        <div class="form-group">
          <label class="font-weight-bold">Charge *</label>
          <input type="number"
                 min="1"
                 class="form-control"
                 placeholder="Charge"
                 [formControl]="chargeControl"
          >
        </div>
        <div class="form-group">
          <label class="font-weight-bold">Availability *</label>
          <div>
            <label class="cursor">
              <input
                [formControl]="isImmediateControl"
                type="checkbox"
              />
              Available for Immediate Booking?
            </label>
          </div>
          <div>
            <label class="cursor">
              <input
                [formControl]="isScheduledControl"
                type="checkbox"
              />
              Available for Scheduled Booking?
            </label>
          </div>
        </div>
        <div class="form-group">
          <label class="font-weight-bold">Other</label>
          <div>
            <label class="cursor">
              <input
                [formControl]="isOtherControl"
                type="checkbox"
              />
              Is this other Request?
            </label>
          </div>
        </div>
      </form>
    </div>
  </div>
</div>
<div class="modal-footer padding-10">
  <div class="container">
    <div class="row">
      <div class="col-sm-12 col-md-6">
        <div class="checkbox">
          <input type="checkbox"
                 id="checkbox"
                 placeholder="Active"
                 [formControl]="isActiveControl"
          />
          <label for="checkbox">&nbsp;Active</label>
        </div>
      </div>
      <div class="col-sm-12 col-md-6">
        <button class="btn btn-primary btn-round btn-md" [disabled]="serviceGroup.invalid || isLoading" (click)="save()">
          <span *ngIf="isEdit">Update</span>
          <span *ngIf="!isEdit">Save</span>
        </button>
        &nbsp;
        <button class="btn btn-neutral" (click)="close()">Close</button>
      </div>
    </div>
  </div>
</div>
